{
    "name": "@trixtajs2/react",
    "version": "0.2.0-beta.0",
    "main": "./dist/index.js",
    "type": "module",
    "files": [
        "dist"
    ],
    "scripts": {
        "build": "tsc",
        "lint": "prettier -c ../../.prettierrc.mjs src && eslint -c ../../eslint.config.mjs src && biome check",
        "fix": "prettier -c ../../.prettierrc.mjs -w src && eslint -c ../../eslint.config.mjs src && biome check",
        "check-exports": "attw --pack . --ignore-rules=cjs-resolves-to-esm",
        "dev": "tsc --watch"
    },
    "dependencies": {
        "@trixtajs2/core": "^0.2.0-beta.0",
        "phoenix": "^1.7.9",
        "react": "^18.2.0",
        "react-dom": "^18.2.0",
        "react-router-dom": "^7.0.0"
    },
    "devDependencies": {
        "@biomejs/biome": "1.9.4",
        "@arethetypeswrong/cli": "^0.17.0",
        "@release-it/bumper": "^6.0.1",
        "@types/phoenix": "^1.6.3",
        "@types/react": "^18.2.15",
        "@types/react-dom": "^18.2.7",
        "release-it": "^17.10.0",
        "typescript": "^5.3.2",
        "vite": "^4.4.5"
    }
}
